Loading...
Searching...
No Matches
gx_main_interface.h File Reference
`#include <gxwmm/bigknob.h>`
`#include <gxwmm/midknob.h>`
`#include <gxwmm/smallknob.h>`
`#include <gxwmm/smallknobr.h>`
`#include <gxwmm/wheel.h>`
`#include <gxwmm/hslider.h>`
`#include <gxwmm/eqslider.h>`
`#include <gxwmm/levelslider.h>`
`#include <gxwmm/minislider.h>`
`#include <gxwmm/switch.h>`
`#include <gxwmm/selector.h>`
`#include <gxwmm/valuedisplay.h>`
`#include <gxwmm/simplevaluedisplay.h>`
`#include <gxwmm/fastmeter.h>`
`#include <gxwmm/tuner.h>`
`#include <gxwmm/racktuner.h>`
`#include <gxwmm/waveview.h>`
`#include <gxwmm/portdisplay.h>`
`#include <gxwmm/playhead.h>`
`#include <gtkmm/box.h>`
`#include <gtkmm/alignment.h>`
`#include <gtkmm/checkmenuitem.h>`
`#include <gtkmm/radiomenuitem.h>`
`#include <gtkmm/builder.h>`
`#include <gtkmm/widgetpath.h>`
`#include <iostream>`
`#include <map>`
`#include <string>`
`#include <vector>`

Go to the source code of this file.

## Classes

class | gx_gui::CpBase
class | gx_gui::CpBaseCaption
class | gx_gui::CpMasterCaption
class | gx_gui::CpBaseCaptionBoxed
class | gx_gui::UiRegler< T >
class | gx_gui::UiReglerWithCaption< T >
class | gx_gui::UiMasterReglerWithCaption< T >
class | gx_gui::UiDisplayWithCaption< T >
class | gx_gui::UiSelectorWithCaption

## Namespaces

namespace | gx_gui

## Macros

#define | SRC_HEADERS_GX_MAIN_INTERFACE_H_

## Functions

bool | gx_gui::button_press_cb (GdkEventButton *event, gx_engine::GxMachineBase &machine, const std::string &id)
int | gx_gui::precision (double n)
std::string | gx_gui::fformat (float value, float step)
void | gx_gui::check_id (Gtk::Widget *w, const std::string &id, gx_engine::GxMachineBase &machine)
void | gx_gui::connect_midi_controller (Gtk::Widget *w, const std::string &id, gx_engine::GxMachineBase &machine)

## Macro Definition Documentation

## SRC_HEADERS_GX_MAIN_INTERFACE_H_

#define SRC_HEADERS_GX_MAIN_INTERFACE_H_

Definition at line 31 of file gx_main_interface.h.